svn commit: r566818 - in head/games: . OpenLara OpenLara/files

Piotr Kubaj pkubaj at FreeBSD.org
Sun Feb 28 21:31:10 UTC 2021


Author: pkubaj
Date: Sun Feb 28 21:31:09 2021
New Revision: 566818
URL: https://svnweb.freebsd.org/changeset/ports/566818

Log:
  Classic Tomb Raider open-source engine
  
  WWW: https://github.com/XProger/OpenLara

Added:
  head/games/OpenLara/
  head/games/OpenLara/Makefile   (contents, props changed)
  head/games/OpenLara/distinfo   (contents, props changed)
  head/games/OpenLara/files/
  head/games/OpenLara/files/patch-src_platform_sdl2_build.sh   (contents, props changed)
  head/games/OpenLara/pkg-descr   (contents, props changed)
Modified:
  head/games/Makefile

Modified: head/games/Makefile
==============================================================================
--- head/games/Makefile	Sun Feb 28 21:27:55 2021	(r566817)
+++ head/games/Makefile	Sun Feb 28 21:31:09 2021	(r566818)
@@ -19,6 +19,7 @@
     SUBDIR += KnightCap
     SUBDIR += NBlood
     SUBDIR += OpenDiablo2
+    SUBDIR += OpenLara
     SUBDIR += OpenTomb
     SUBDIR += abbayedesmorts
     SUBDIR += abe

Added: head/games/OpenLara/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/OpenLara/Makefile	Sun Feb 28 21:31:09 2021	(r566818)
@@ -0,0 +1,33 @@
+# $FreeBSD$
+
+PORTNAME=	OpenLara
+DISTVERSION=	g20210226
+CATEGORIES=	games
+
+MAINTAINER=	pkubaj at FreeBSD.org
+COMMENT=	Classic Tomb Raider open-source engine
+
+LICENSE=	GPLv2
+LICENSE_FILE=	${WRKSRC}/LICENSE
+
+USES=		compiler:c++11-lang gl sdl
+USE_GL=		gl
+USE_GITHUB=	yes
+GH_ACCOUNT=	XProger
+GH_TAGNAME=	b4b19f2
+USE_SDL=	sdl2
+
+PLIST_FILES=	bin/${PORTNAME}
+
+post-patch:
+	${REINPLACE_CMD} 's/g++/${CXX} ${CXXFLAGS}/' \
+		${WRKSRC}/src/platform/sdl2/build.sh
+
+do-build:
+	cd ${WRKSRC}/src/platform/sdl2 && ./build.sh
+
+do-install:
+	${INSTALL_PROGRAM} ${WRKSRC}/src/platform/sdl2/OpenLara \
+		${STAGEDIR}${PREFIX}/bin/${PORTNAME}
+
+.include <bsd.port.mk>

Added: head/games/OpenLara/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/OpenLara/distinfo	Sun Feb 28 21:31:09 2021	(r566818)
@@ -0,0 +1,3 @@
+TIMESTAMP = 1614547419
+SHA256 (XProger-OpenLara-g20210226-b4b19f2_GH0.tar.gz) = c985d73c5be592ef0c4dda24d5769537f2a032be723d1d12056b0d6b685df10e
+SIZE (XProger-OpenLara-g20210226-b4b19f2_GH0.tar.gz) = 2669808

Added: head/games/OpenLara/files/patch-src_platform_sdl2_build.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/OpenLara/files/patch-src_platform_sdl2_build.sh	Sun Feb 28 21:31:09 2021	(r566818)
@@ -0,0 +1,15 @@
+--- src/platform/sdl2/build.sh.orig	2021-02-28 21:10:13 UTC
++++ src/platform/sdl2/build.sh
+@@ -1,10 +1,10 @@
+ set -e
+ 
+ # Use this compilation line to build SDL2/GLES version, GLES2 version.
+-g++ -DSDL2_GLES -D_GAPI_GLES2 -std=c++11 `sdl2-config --cflags` -O3 -fno-exceptions -fno-rtti -ffunction-sections -fdata-sections -Wl,--gc-sections -DNDEBUG -D__SDL2__ main.cpp ../../libs/stb_vorbis/stb_vorbis.c ../../libs/minimp3/minimp3.cpp ../../libs/tinf/tinflate.c -I../../ -o OpenLara `sdl2-config --libs` -lGLESv2 -lEGL -lm -lrt -lpthread -lasound -ludev
++#g++ -DSDL2_GLES -D_GAPI_GLES2 -std=c++11 `sdl2-config --cflags` -O3 -fno-exceptions -fno-rtti -ffunction-sections -fdata-sections -Wl,--gc-sections -DNDEBUG -D__SDL2__ main.cpp ../../libs/stb_vorbis/stb_vorbis.c ../../libs/minimp3/minimp3.cpp ../../libs/tinf/tinflate.c -I../../ -o OpenLara `sdl2-config --libs` -lGLESv2 -lEGL -lm -lrt -lpthread -lasound -ludev
+ 
+ # Use this compilation line to build SDL2/GLES version, GLES3, which is an extension to GLES2 so we use -lGLESv2, too.
+ #g++ -DSDL2_GLES -std=c++11 `sdl2-config --cflags` -O3 -fno-exceptions -fno-rtti -ffunction-sections -fdata-sections -Wl,--gc-sections -DNDEBUG -D__SDL2__ main.cpp ../../libs/stb_vorbis/stb_vorbis.c ../../libs/minimp3/minimp3.cpp ../../libs/tinf/tinflate.c -I../../ -o OpenLara `sdl2-config --libs` -lGLESv2 -lEGL -lm -lrt -lpthread -lasound -ludev
+ 
+ # Use this compilation line to build SDL2/OpenGL version.
+-#g++ -std=c++11 `sdl2-config --cflags` -O3 -fno-exceptions -fno-rtti -ffunction-sections -fdata-sections -Wl,--gc-sections -DNDEBUG -D__SDL2__ -D_SDL2_OPENGL main.cpp ../../libs/stb_vorbis/stb_vorbis.c ../../libs/minimp3/minimp3.cpp ../../libs/tinf/tinflate.c -I../../ -o OpenLara `sdl2-config --libs` -lGL -lm -lrt -lpthread -lasound -ludev
++g++ -std=c++11 `sdl2-config --cflags` -O3 -fno-exceptions -fno-rtti -ffunction-sections -fdata-sections -Wl,--gc-sections -DNDEBUG -D__SDL2__ -D_SDL2_OPENGL main.cpp ../../libs/stb_vorbis/stb_vorbis.c ../../libs/minimp3/minimp3.cpp ../../libs/tinf/tinflate.c -I../../ -o OpenLara `sdl2-config --libs` -lGL

Added: head/games/OpenLara/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/OpenLara/pkg-descr	Sun Feb 28 21:31:09 2021	(r566818)
@@ -0,0 +1,3 @@
+Classic Tomb Raider open-source engine
+
+WWW: https://github.com/XProger/OpenLara


More information about the svn-ports-all mailing list